multcomp_tidiers {broom} | R Documentation

## tidying methods for objects produced by multcomp

### Description

These methods originated in ggplot2, as "fortify." In broom, they were renamed "tidy" because they summarize terms and tests, rather than adding columns to a dataset.

### Usage

    ## S3 method for class 'glht'
    tidy(x, ...)

    ## S3 method for class 'confint.glht'
    tidy(x, ...)

    ## S3 method for class 'summary.glht'
    tidy(x, ...)

    ## S3 method for class 'cld'
    tidy(x, ...)

### Arguments

`x` | an object of class `glht`, `confint.glht`, `summary.glht` or `cld`
`...` | extra arguments (not used)

### Examples

    if (require("multcomp") && require("ggplot2")) {
        amod <- aov(breaks ~ wool + tension, data = warpbreaks)
        wht <- glht(amod, linfct = mcp(tension = "Tukey"))

        tidy(wht)
        ggplot(wht, aes(lhs, estimate)) + geom_point()

        CI <- confint(wht)
        tidy(CI)
        ggplot(CI, aes(lhs, estimate, ymin = lwr, ymax = upr)) +
           geom_pointrange()

        tidy(summary(wht))
        ggplot(mapping = aes(lhs, estimate)) +
           geom_linerange(aes(ymin = lwr, ymax = upr), data = CI) +
           geom_point(aes(size = p), data = summary(wht)) +
           scale_size(trans = "reverse")

        cld <- cld(wht)
        tidy(cld)
    }

[Package broom version 0.4.1 Index]